Interface Cabinet

All Known Implementing Classes:
CabinetJson

public interface Cabinet
A cabinet in an Equinix IBX data center, as returned by the Equinix Internet Access (EIA) v1 product-availability lookup GET /internetAccess/v1/cabinets.

This is a read-only response view.

  • Method Details

    • getSpaceId

      String getSpaceId()
      Returns:
      the unique space identifier of the cabinet
    • getNumber

      String getNumber()
      Returns:
      the cabinet number
    • getPatchPanelsCount

      Integer getPatchPanelsCount()
      Returns:
      the number of patch panels in the cabinet
    • getCage

      CageRef getCage()
      Returns:
      the cage that contains the cabinet
    • getLocation

      IbxLocation getLocation()
      Returns:
      the IBX location of the cabinet
    • getAccount

      SecureCageAccount getAccount()
      Returns:
      the customer billing account that owns the cabinet